
Redmine - Defect #7367

Receiving pop3 email should not output debug messages

2011-01-19 09:58 - mcfedr mcfedr

Status: Closed Start date: 2011-01-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

the pop3 email checker always produces output, even with the --silent flag sent to rake

this line is in my crontab

rake -f /var/www/redmine/Rakefile --silent redmine:email:receive_pop3 RAILS_ENV="production" host=*** username=***

password=*** delete_unprocessed=1

and it sends an email every 5 mins telling me that no email was processed

running ruby 1.8.7

rails 2.3.5

on ubuntu 10.04

Related issues:

Related to Redmine - Patch #7177: Make POP3 mail fetcher log messages instead... Closed 2010-12-27

History

#1 - 2011-01-19 14:36 - andra lungu

Try adding ">/dev/null 2>&1" at the end of the line.

For further info google for cron disable email notifications.

#2 - 2011-01-19 14:43 - mcfedr mcfedr

Preferably the regular messages would not be printed on stdout, and so silent, but error messages would be on stderr which i assume is still printed,

>/dev/null 2>&1 will stop me getting notifications of errors

#3 - 2011-01-22 13:11 - Jean-Philippe Lang

- Subject changed from Receiving pop3 email to Receiving pop3 email should not output debug messages

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

This should be fixed by r4737. Debug messages are now logged instead of sent to the standard output.
